import requests
import json
import time
import random


URL = 'http://log.reyun.com'
# URL = 'http://10.3.20.42:8080'
headers = {'Content-Type': 'application/json'}
URL_install = URL+'/receive/rest/install'
URL_startup = URL+'/receive/rest/startup'
URL_register = URL+'/receive/rest/register'
URL_payment = URL+'/receive/rest/payment'
URL_loggedin = URL+'/receive/rest/loggedin'
URL_event = URL+'/receive/rest/event'
URL_economy = URL+'/receive/rest/economy'
URL_quest = URL+'/receive/rest/quest'
URL_heart = URL+'/receive/rest/heartbeat'

network = 'wifi'
os = 'android'
devicetype = 'huaweimate'
resolution = '123*456'
channelid = '111'
op = '中国移动'
itemname = random.randint(100,900)
itemtotalprice = random.randint(101,303)
itemamount = random.randint(1,10)
serverid = 1
campId = random.randint(1000, 1002)
level = random.randint(0, 1001)


class allevent:
    def event_install(self,i,appid):
        s = json.dumps({
            "appid": appid,
            "context":
                {
                    "deviceid": i,
                    "imei":i,
                    ## "idfv":i,
                    "channelid":random.randint(111, 113)
                }
        })
        p = requests.post(url=URL_install,data=s,headers=headers,timeout=4)
        print(p.text)
    def event_startup(self,i,appid):
        s = json.dumps({
            "appid": appid,
            "context":
                {
                    "deviceid": i,
                    "imei":i,
                    # # "idfv":i,
                    "channelid":random.randint(111, 113),
                    "network":network,
                    "os":os,
                    "devicetype":devicetype,
                    'resolution':resolution,
                    'op': op
                }
        })
        p = requests.post(url=URL_startup,data=s,headers=headers,timeout=4)
        print(p.text)
    def event_register(self,i,appid):
        s = json.dumps({
            "appid": appid,
            "who":i,
            "context":
                {
                    "deviceid": i,
                    "imei":i,
                    ## "idfv":i,
                    "serverid": serverid,
                    "channelid":random.randint(111, 113)
                }
        })
        p = requests.post(url=URL_register, data=s, headers=headers, timeout=4)
        print(p.text)

    def event_login(self, i, appid):
        s = json.dumps({
            "appid": appid,
             "who": i,
            "context":
                {
                    "deviceid": i,
                    "imei":i,
                    # # "idfv":i,
                    "serverid": serverid,
                    "channelid": channelid
                }
        })
        p = requests.post(url=URL_loggedin,data=s,headers=headers,timeout=4)
        print(p.text)
    def event_payment(self,i,appid,campId):
        s = json.dumps({
            "appid": appid,
            "who":i,
            "context":
                {
                    "deviceid": i,
                    "imei":i,
                    # "idfv":i,
                    "channelid":random.randint(111, 113),
                    "transactionid":"12323232131321",
                    "paymenttype":"支付宝",
                    "currencytype":"CNY",
                    "currencyamount":random.randint(100, 500),
                    "virtualcoinamount":"500",
                    "iapname":"test",
                    "iapamount":"3",
                    "campId":campId
                }
        })
        p = requests.post(url=URL_payment,data=s,headers=headers,timeout=4)
        print(p.text)
    def event_event(self,i,appid,event):
        s = json.dumps({
            "appid": appid,
            "who": i,
            "what": event,
            "context":
                {
                    "deviceid": i,
                    # "imei":i,
                    # # "idfv":i,
                    "serverid": serverid,
                    "channelid": channelid
                }
        })
        p = requests.post(url=URL_event, data=s, headers=headers, timeout=4)
        print(p.text)

    def event_economy(self,i,appid):
        s = json.dumps({
            "appid": appid,
            "who":i,
            "context":
                {
                    "deviceid": i,
                    "imei":i,
                    # "idfv":i,
                    "channelid":random.randint(111, 113),
                    "itemamount": random.randint(1,20),
                    "itemname": random.randint(100, 111),
                    "itemtotalprice": itemtotalprice,
                    "level": random.randint(0, 1001),
                    "serverid": random.randint(10000,10050),
                    "campId": random.randint(1000, 1002)
                }
        })
        p = requests.post(url=URL_economy,data=s,headers=headers,timeout=4)
        print(p.text)

    def event_quest(self, i, appid):
        s = json.dumps({
            "appid": appid,
            "who": i,
            "context":
                {
                    "deviceid": i,
                    # "imei": i,
                    # "idfv":i,
                    "questid": random.randint(110, 120),
                    "queststatus": random.choice('acf'),
                    "questtype": "new",
                    "channelid": channelid,
                    # "itemamount": random.randint(1, 20),
                    # "itemname": random.randint(100, 111),
                    # "itemtotalprice": itemtotalprice,
                    "level": random.randint(0, 1001),
                    "serverid": random.randint(10000, 10050),
                    # "campId": random.randint(1000, 1002)
                }
        })
        p = requests.post(url=URL_quest, data=s, headers=headers, timeout=4)
        print(p.text)

    def event_heart(self, i, appid):
        s = json.dumps({
            "appid": appid,
            "who": i,
            "context":
                {
                    "deviceid": i,
                    "level": random.randint(0, 1001),
                    "serverid": random.randint(10000, 10050),
                    "channelid": "222"
                }
        })
        p = requests.post(url=URL_heart, data=s, headers=headers, timeout=4)
        print(p.text)